Bug Hunting Session
Bug 126315 - Tooltip for new drop-down widget in Formula bar in Calc should be another
Summary: Tooltip for new drop-down widget in Formula bar in Calc should be another
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.1 rc
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: topicUI
Depends on:
Blocks: Tooltip
  Show dependency treegraph
 
Reported: 2019-07-09 17:38 UTC by Roman Kuznetsov
Modified: 2019-08-05 10:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-07-09 17:38:55 UTC
Description:
Tooltip for new drop-down widget in Formula bar in Calc should be another

Steps to Reproduce:
1. Open Calc
2. Move mouse point to new drop-down widget in Formula bar
3. Look at tooltip "Autosum" O_o
4. This widget just has 5 functions - Sum, Average, Min, Max, Count, that you can select fast now. Where is Autosum here?

I suggest change tootip to another, like "Fast functions" or "Popular functions"
Or maybe let's delete tooltip here at all.

Actual Results:
There is wrong tooltip (for me)

Expected Results:
There is no tooltip here or tooltip is more suitable


Reproducible: Always


User Profile Reset: No



Additional Info:
Версия: 6.3.0.1
ID сборки: 41ac97386aba908b6db860cfb4cfe2da871886ae
Потоков ЦП: 4; ОС:Linux 5.0; Отрисовка ИП: по умолчанию; VCL: kde5; 
Локаль: ru-RU (ru_RU.UTF-8); UI-Language: ru-RU
Calc: threaded
Comment 1 Heiko Tietze 2019-07-09 21:31:33 UTC
Tooltips should be informative beyond the ordinary caption. In case of unlabelled controls it should be the minimum information. My take: "Select one out of the most frequently functions" or alternatively "Select Function".
Comment 2 BogdanB 2019-07-10 19:11:52 UTC
(In reply to Heiko Tietze from comment #1)
> Tooltips should be informative beyond the ordinary caption. In case of
> unlabelled controls it should be the minimum information. My take: "Select
> one out of the most frequently functions" or alternatively "Select Function".

Agree on: "Select Function"
Comment 3 Heiko Tietze 2019-07-13 07:33:58 UTC
So let's go with Select Function.
Comment 4 Commit Notification 2019-07-17 03:37:12 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6d1e550df7fc4f710e15b6f5d63a58587a952378%5E%21

tdf#126315 - Tooltip for drop-down widget in Formula bar

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2019-08-05 10:49:15 UTC
Solved.

Verified in Version: 6.4.0.0.alpha0+
Build ID: 9ee5ad5a0b84bfa652da34694ba4f75668f06087
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-07-30_13:21:44
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded